/**
 * @brief Window manager
 * @author Christian Burger (christian@krikkel.de)
 */

#ifndef B7BCF793_2FAB_49CC_9E00_CDEA370D38F9
#define B7BCF793_2FAB_49CC_9E00_CDEA370D38F9

#include "TilingWindowManager.hpp"

namespace krikkel::NCurses
{
    class Window;
    class SingleUserInput;

    class HorizontalTilingWindowManager : public TilingWindowManager
    {
        public:
            HorizontalTilingWindowManager(NCursesWindow *rootWindow, std::recursive_mutex *ncursesMutex);

            void resizeAndMoveWindow(Window *window
                                   , windowDimension dimension
                                   , windowPosition position) override;
            windowDimension getAvailableSpace() override;
            void windowBorder() override;
            void moveCursor(windowPosition position) override;
    };
}


#endif /* B7BCF793_2FAB_49CC_9E00_CDEA370D38F9 */
